Debian Bug report logs - #570313
pygtk: FTBFS using fakeroot: error opening config file '/root/.pangorc': Permission denied

version graph

Package: src:pygtk; Maintainer for src:pygtk is Sebastien Bacher <seb128@debian.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Thu, 18 Feb 2010 00:42:01 UTC

Severity: important

Found in version pygtk/2.16.0-2

Fixed in version pygtk/2.17.0-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#570313; Package src:pygtk. (Thu, 18 Feb 2010 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. (Thu, 18 Feb 2010 00:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: pygtk: FTBFS using fakeroot: error opening config file '/root/.pangorc': Permission denied
Date: Wed, 17 Feb 2010 16:38:56 -0800
Source: pygtk
Version: 2.16.0-2
Severity: serious

From my pbuilder build log, set up to build as a regular user using fakeroot:

...
Making check in tests
make[2]: Entering directory `/tmp/buildd/pygtk-2.16.0/build-2.6/tests'
/usr/bin/make  check-local
make[3]: Entering directory `/tmp/buildd/pygtk-2.16.0/build-2.6/tests'
Xlib:  extension "RANDR" missing on display ":99.0".
.........................Xlib:  extension "RANDR" missing on display ":99.0".
Xlib:  extension "RANDR" missing on display ":99.0".
................................
Pango-WARNING **: error opening config file '/root/.pangorc': Permission denied

aborting...
make[3]: *** [check-local] Aborted
make[3]: Leaving directory `/tmp/buildd/pygtk-2.16.0/build-2.6/tests'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/tmp/buildd/pygtk-2.16.0/build-2.6/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/pygtk-2.16.0/build-2.6'
make: *** [build-2.6/check-stamp] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 
2
-- 
Daniel Schepler




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#570313; Package src:pygtk. (Wed, 24 Feb 2010 22:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Wed, 24 Feb 2010 22:33:11 GMT) Full text and rfc822 format available.

Message #10 received at 570313@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 570313@bugs.debian.org
Subject: Re: pygtk: FTBFS using fakeroot: error opening config file '/root/.pangorc': Permission denied
Date: Wed, 24 Feb 2010 23:28:01 +0100
[Message part 1 (text/plain, inline)]
I reproduced the FTBFS, FYI problem is generated by test_conversion.py

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#570313; Package src:pygtk. (Sun, 07 Mar 2010 01:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sun, 07 Mar 2010 01:09:02 GMT) Full text and rfc822 format available.

Message #15 received at 570313@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Daniel Schepler <dschepler@gmail.com>, 570313@bugs.debian.org
Subject: Re: Bug#570313: pygtk: FTBFS using fakeroot: error opening config file '/root/.pangorc': Permission denied
Date: Sun, 07 Mar 2010 02:06:05 +0100
Hi,

On 18/02/10 01:38, Daniel Schepler wrote:
>>From my pbuilder build log, set up to build as a regular user using fakeroot:
> 
> ...
> Making check in tests
> make[2]: Entering directory `/tmp/buildd/pygtk-2.16.0/build-2.6/tests'
> /usr/bin/make  check-local
> make[3]: Entering directory `/tmp/buildd/pygtk-2.16.0/build-2.6/tests'
> Xlib:  extension "RANDR" missing on display ":99.0".
> .........................Xlib:  extension "RANDR" missing on display ":99.0".
> Xlib:  extension "RANDR" missing on display ":99.0".
> ................................
> Pango-WARNING **: error opening config file '/root/.pangorc': Permission denied

I've just successfully built pygtk 2.16.0-2 in a cowbuilder environment.

Is there anything special in your setup? What do you mean with 'regular user'?

Cheers,
Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#570313; Package src:pygtk. (Wed, 10 Mar 2010 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Wed, 10 Mar 2010 13:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 570313@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Daniel Schepler <dschepler@gmail.com>, 570313@bugs.debian.org, Luca Falavigna <dktrkranz@debian.org>, control@bugs.debian.org
Subject: Re: Bug#570313: pygtk: FTBFS using fakeroot: error opening config file '/root/.pangorc': Permission denied
Date: Wed, 10 Mar 2010 14:07:31 +0100
severity 570313 important
thanks

On 07/03/10 02:06, Emilio Pozuelo Monfort wrote:
> I've just successfully built pygtk 2.16.0-2 in a cowbuilder environment.
> 
> Is there anything special in your setup? What do you mean with 'regular user'?

Luca has just told me how to reproduce this:

14:02 < DktrKranz> pochu: install b-d as always, plus fakeroot
14:02 < DktrKranz> then, "su bin", and debuild

As this is an special setup and doesn't affect the buildds, I'm downgrading to
important.

Cheers,
Emilio




Severity set to 'important' from 'serious' Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Wed, 10 Mar 2010 13:09:04 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 13 Apr 2010 19:06:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Tue, 13 Apr 2010 19:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 570313-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 570313-close@bugs.debian.org
Subject: Bug#570313: fixed in pygtk 2.17.0-2
Date: Tue, 13 Apr 2010 19:03:05 +0000
Source: pygtk
Source-Version: 2.17.0-2

We believe that the bug you reported is fixed in the latest version of
pygtk, which is due to be installed in the Debian FTP archive:

pygtk_2.17.0-2.diff.gz
  to main/p/pygtk/pygtk_2.17.0-2.diff.gz
pygtk_2.17.0-2.dsc
  to main/p/pygtk/pygtk_2.17.0-2.dsc
python-glade2_2.17.0-2_amd64.deb
  to main/p/pygtk/python-glade2_2.17.0-2_amd64.deb
python-gtk2-dbg_2.17.0-2_amd64.deb
  to main/p/pygtk/python-gtk2-dbg_2.17.0-2_amd64.deb
python-gtk2-dev_2.17.0-2_all.deb
  to main/p/pygtk/python-gtk2-dev_2.17.0-2_all.deb
python-gtk2-doc_2.17.0-2_all.deb
  to main/p/pygtk/python-gtk2-doc_2.17.0-2_all.deb
python-gtk2_2.17.0-2_amd64.deb
  to main/p/pygtk/python-gtk2_2.17.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570313@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated pygtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Apr 2010 20:01:05 +0200
Source: pygtk
Binary: python-gtk2 python-gtk2-dbg python-gtk2-dev python-glade2 python-gtk2-doc
Architecture: source amd64 all
Version: 2.17.0-2
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 python-glade2 - GTK+ bindings: Glade support
 python-gtk2 - Python bindings for the GTK+ widget set
 python-gtk2-dbg - Python bindings for the GTK+ widget set (debug extension)
 python-gtk2-dev - GTK+ bindings: devel files
 python-gtk2-doc - Python bindings for the GTK+ widget set - documentation
Closes: 570313
Changes: 
 pygtk (2.17.0-2) unstable; urgency=low
 .
   * Pass G_HOME=/ for the test suite. Fixes FTBFS. Closes: #570313.
Checksums-Sha1: 
 3cea7d5fde3db564c3cede2894070c3436066b21 1990 pygtk_2.17.0-2.dsc
 f794253f256a22d85cadb9804ae6092cf228b9b1 16489 pygtk_2.17.0-2.diff.gz
 9f9d194fd5d4cb97664951139d730ebf24246ebf 1733270 python-gtk2_2.17.0-2_amd64.deb
 62c6098e739f57324916f4f1241ae20fd071af1a 6470034 python-gtk2-dbg_2.17.0-2_amd64.deb
 de28f4de4a537e4cc5a13ff86c1e106dc31a0d5e 30674 python-glade2_2.17.0-2_amd64.deb
 1a0e44ba5fea12645d1d1904777086c895bf1e04 154922 python-gtk2-dev_2.17.0-2_all.deb
 219e4ac661e5f0f01e152a34e21f4343088f2bf8 1422216 python-gtk2-doc_2.17.0-2_all.deb
Checksums-Sha256: 
 2b982424b15055028e744c2c1350c40f144afea6d6864118ddcfd096e5eb66e7 1990 pygtk_2.17.0-2.dsc
 acc1ee9cc6fd5e90b9f56bb15b3190a216c06c74ef67cdddd72e216528dd54b7 16489 pygtk_2.17.0-2.diff.gz
 68ba18d563d3c221d9d62ea7fa814073b7690e9c325206de100a9b966c121162 1733270 python-gtk2_2.17.0-2_amd64.deb
 da51a0d16fe2b74a4ae671ee89c5f8f78c05324aa32c9558978193a2914b2cd5 6470034 python-gtk2-dbg_2.17.0-2_amd64.deb
 11960d762bf37a5036334de9b111a6bdbd9bf028dfe50e2c7df3262e25102b22 30674 python-glade2_2.17.0-2_amd64.deb
 53a3be614e9488a39a3e3af4b3cbdff13d909dc1a17313b522c3a27237e86f6e 154922 python-gtk2-dev_2.17.0-2_all.deb
 2c46291f681c79bcc6261a8c7d83667bda3ef58bc6ad551e5bcd3c23bd051f79 1422216 python-gtk2-doc_2.17.0-2_all.deb
Files: 
 d5b684c238a5fb29f3ca3927c199dd70 1990 python optional pygtk_2.17.0-2.dsc
 0642cbe616c23c0748047bee14d0bf58 16489 python optional pygtk_2.17.0-2.diff.gz
 36673348718ed60d71f3c82cbd09e14c 1733270 python optional python-gtk2_2.17.0-2_amd64.deb
 2d026939979b37dc990f3ff25f40771e 6470034 debug extra python-gtk2-dbg_2.17.0-2_amd64.deb
 e121f84a21f2332a80cd0e54ed2c3c12 30674 python optional python-glade2_2.17.0-2_amd64.deb
 a44bfbd71601a7239d68b6b87eab99b0 154922 python optional python-gtk2-dev_2.17.0-2_all.deb
 43de43d6821b025e2ce2f63a6f3b59df 1422216 doc optional python-gtk2-doc_2.17.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLxLzrrSla4ddfhTMRArE0AJ99thVO5LwiAtsVEGvVQUXyeOdZGwCfU12A
6oo/cECTGG10Tou/Og3GmDk=
=5qRp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 May 2010 07:33:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:54:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.